shrinksafe_1.7.2-1.1_all.deb


Advertisement

Description

shrinksafe - JavaScript "compression" system

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: shrinksafe
Package version: 1.7.2
Package release: 1.1
Package architecture: all
Package type: deb
Installed size: 110 B
Download size: 27.93 KB
Official Mirror: archive.ubuntu.com
ShrinkSafe is a JavaScript "compression" system. It can typically reduce the size of your scripts by a third or more, depending on your programming style. Many other tools also shrink JavaScript files, but ShrinkSafe is different. Instead of relying on brittle regular expressions, ShrinkSafe is based on Rhino, a JavaScript interpreter. This allows ShrinkSafe to transform the source of a file with much more confidence that the resulting script will function identically to the file you uploaded. Best of all, ShrinkSafe will never change a public variable or API. That means that you can drop the compressed version of your JavaScript into your pages without changing the code that uses it.

Alternatives

    Download

    Source package: shrinksafe

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install shrinksafe deb package:
      # sudo apt-get install shrinksafe

    Files

    • /usr/bin/shrinksafe
    • /usr/share/doc/shrinksafe/changelog.Debian.gz
    • /usr/share/doc/shrinksafe/copyright
    • /usr/share/java/shrinksafe-1.7.2.jar
    • /usr/share/java/shrinksafe.jar
    • /usr/share/man/man1/shrinksafe.1.gz
    • /usr/share/shrinksafe/shrinksafe.jar

    Changelog

    2013-12-04 - David Prévot <taffit@debian.org> shrinksafe (1.7.2-1.1) unstable; urgency=low * Non-maintainer upload * Rebuild with current Java toolchain (Closes: #724124)

    2012-02-20 - Jason Morawski <rpgdude1@gmail.com> shrinksafe (1.7.2-1) unstable; urgency=low * New upstream version * Update Build-Depends: javahelper >= 0.40 (Closes: #649896).

    2011-11-07 - Jason Morawski <rpgdude1@gmail.com> shrinksafe (1.6.1-2) unstable; urgency=low * Fix FTBFS - incompatible with rhino >= 1.7R3 (Closes: #642294). * Remove Build-Conflicts-Indep and update Build-Depends: rhino (>= 1.7R3) * Added copyright information for rhino patch * Updated standards version

    2011-05-11 - Jason Morawski <rpgdude1@gmail.com> shrinksafe (1.6.1-1) unstable; urgency=low * New upstream version

    2011-03-03 - Jason Morawski <rpgdude1@gmail.com> shrinksafe (1.6.0-1) unstable; urgency=low * New upstream version

    2010-11-11 - Jason Morawski <rpgdude1@gmail.com> shrinksafe (1.5.0-2) unstable; urgency=low * Changed section to "devel" (Closes: #603005).

    2010-09-24 - Jason Morawski <rpgdude1@gmail.com> shrinksafe (1.5.0-1) unstable; urgency=low * Initial release (Closes: #587836).

    Advertisement
    Advertisement